# Payment Notification API

### **Biller Protocol to Biller**

After Sending the Payment response to Biller Protocol, The protocol server will send the Status of the Payment to Biller. Billers need to have one endpoint with below parameters. Then protocol will send the notification to that corresponding endpoint

| Parent Property/Element                | Property/Element Name | Mandatory | Data Type | Description                                                                                                                                                                                                    |
| -------------------------------------- | --------------------- | --------- | --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| \[ROOT] (No parent property / element) | refId                 | M         | String    | Unique identification assigned by the initiating BBPOU to unambiguously identify the transaction which is passed on, unchanged, throughout the entire end-to-end chain, binding the Fetch and Payment messages |
|                                        | status                | M         | String    | Status of the bill fetch response Successful/Failure                                                                                                                                                           |
|                                        | reason                | M         | String    | In case of failure reason will be provided in this field                                                                                                                                                       |
|                                        | ack                   | M         | Object    | Acknowledgement from NPCI will be in this field                                                                                                                                                                |
| ack                                    | api                   | M         | String    | PAYMENT\_RESPONSE                                                                                                                                                                                              |
|                                        | refid                 | M         | String    | Refid of the transaction                                                                                                                                                                                       |
|                                        | msgId                 | M         | String    | Message id                                                                                                                                                                                                     |
|                                        | rspCd                 | M         | String    | Response code                                                                                                                                                                                                  |
|                                        | ts                    | M         | String    | Timestamp                                                                                                                                                                                                      |
|                                        | errorMessages         | M         | Object    | Contains the error message and error code                                                                                                                                                                      |
| errorMessages                          | errorCd               | C         | String    | <p>Carries the compliance code indicating the reason for a failed</p><p>transaction – not required for a successful transaction</p>                                                                            |
|                                        | errorDtl              | C         | String    | <p>Description of the compliance code – not required for a</p><p>successful transaction</p>                                                                                                                    |

<mark style="color:blue;">**Expected Acknowledgement Parameters**</mark>

**The various parameters are explained below:**

| Parent Property/Element                | Property/Element Name | Mandatory | Data Type                                            | Description                 |
| -------------------------------------- | --------------------- | --------- | ---------------------------------------------------- | --------------------------- |
| \[ROOT] (No parent property / element) | reason                | M         | <p>String</p><p>Min Length – 1, Max Length – 100</p> | Reason of the Status        |
|                                        | code                  | M         | Integer Fixed Length 3                               | Response code for a request |
|                                        | status                | M         | String Min Length – 1, Max Length – 100              | Status of given request     |

**Json Formatted Request Example**

```json
   
     {
    "refId":"String",
    "status":"String",
    "reason":"String", "ack": {
    "api":"String",
    "refId":"String",
    "msgId":"String",
    "rspCd":"String",
    "ts":"String", "errorMessages": [
    {
    "errorCd":"String", "errorDtl":"String"
    }
```

**Json Formatted Response Example**

```json
{
"reason":"String",
"code":"Integer",
"status":"String"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digiledge.in/untitled/bbps/bbps-biller-integration/bbps-api-list/bill-pay-api/payment-notification-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
